# Dimension

class `psi4.core.``Dimension`

  Bases: `pybind11_builtins.pybind11_object`

  Initializes and defines Dimension Objects

  Attributes Summary

  `name` | The name of the dimension.

  Methods Summary

  `fill`(self, val) | Fill all elements with given value
  `from_list`(dims[, name]) | Builds a core.Dimension object from a python list or tuple.
  `init`(self, arg0, arg1) | Re-initializes the dimension object
  `max`(*args, **kwargs) | Overloaded function.
  `n`(self) | The order of the dimension
  `print_out`(self) | Print out the dimension object to the output file
  `sum`(*args, **kwargs) | Overloaded function.
  `to_tuple`() | Converts a core.Dimension object to a tuple.
  `zero`(*args, **kwargs) | Overloaded function.

  Attributes Documentation

  `name`

    The name of the dimension. Used in printing.

  Methods Documentation

  `fill`(self: psi4.core.Dimension, val: int) → None

    Fill all elements with given value

  classmethod `from_list`(dims, name='New Dimension')

    Builds a core.Dimension object from a python list or tuple. If a dimension object is passed a copy will be returned.

  `init`(self: psi4.core.Dimension, arg0: int, arg1: str) → None

    Re-initializes the dimension object

  `max`(*args, **kwargs)

    Overloaded function.

    1. max(self: psi4.core.Dimension) -> int

    Gets the maximum value from the dimension object

    2. max(self: psi4.core.Dimension) -> int

    Return the maximum element

  `n`(self: psi4.core.Dimension) → int

    The order of the dimension

  `print_out`(self: psi4.core.Dimension) → None

    Print out the dimension object to the output file

  `sum`(*args, **kwargs)

    Overloaded function.

    1. sum(self: psi4.core.Dimension) -> int

    Gets the sum of the values in the dimension object

    2. sum(self: psi4.core.Dimension) -> int

    Return the sum of constituent dimensions

  `to_tuple`()

    Converts a core.Dimension object to a tuple.

  `zero`(*args, **kwargs)

    Overloaded function.

    1. zero(self: psi4.core.Dimension) -> None

    Zeros all values in the dimension object

    2. zero(self: psi4.core.Dimension) -> None

    Zero all elements

  `fill`(self: psi4.core.Dimension, val: int) → None

    Fill all elements with given value

  classmethod `from_list`(dims, name='New Dimension')

    Builds a core.Dimension object from a python list or tuple. If a dimension object is passed a copy will be returned.

  `init`(self: psi4.core.Dimension, arg0: int, arg1: str) → None

    Re-initializes the dimension object

  `max`(*args, **kwargs)

    Overloaded function.

    1. max(self: psi4.core.Dimension) -> int

    Gets the maximum value from the dimension object

    2. max(self: psi4.core.Dimension) -> int

    Return the maximum element

  `n`(self: psi4.core.Dimension) → int

    The order of the dimension

  `name`

    The name of the dimension. Used in printing.

  `print_out`(self: psi4.core.Dimension) → None

    Print out the dimension object to the output file

  `sum`(*args, **kwargs)

    Overloaded function.

    1. sum(self: psi4.core.Dimension) -> int

    Gets the sum of the values in the dimension object

    2. sum(self: psi4.core.Dimension) -> int

    Return the sum of constituent dimensions

  `to_tuple`()

    Converts a core.Dimension object to a tuple.

  `zero`(*args, **kwargs)

    Overloaded function.

    1. zero(self: psi4.core.Dimension) -> None

    Zeros all values in the dimension object

    2. zero(self: psi4.core.Dimension) -> None

    Zero all elements